MS15-115: Security Update for Microsoft Windows to Address Remote Code Execution (3105864)

High Nessus Plugin ID 86822


The remote Windows host is affected by multiple vulnerabilities.


The remote Windows host is affected by the following vulnerabilities :

- Multiple elevation of privilege vulnerabilities exist that are related to the handling of objects in memory.
A local attacker can exploit these, via a crafted application, to run arbitrary code in kernel mode.
(CVE-2015-6100, CVE-2015-6101)

- Multiple information disclosure vulnerabilities exist due to a failure to properly initialize memory addresses. A local attacker can exploit these, via a specially crafted application, to bypass the Kernel Address Space Layout Randomization (KASLR) and retrieve the base address of the Kernel driver from a compromised process. (CVE-2015-6102, CVE-2015-6109)

- Multiple remote code execution vulnerabilities exist in the Adobe Type Manager Library due to improper handling of specially crafted fonts. An unauthenticated, remote attacker can exploit these, via a crafted document or web page, to execute arbitrary code.
(CVE-2015-6103, CVE-2015-6104)

- A security feature bypass vulnerability exists due to improper validation of permissions. A local attacker can exploit this to interact with the file system in an inappropriate manner to modify files, by using a crafted, low-integrity-level, user-mode application.


Microsoft has released a set of patches for Vista, 2008, 7, 2008 R2, 8, 2012, 8.1, 2012 R2, and 10.

See Also

Plugin Details

Severity: High

ID: 86822

File Name: smb_nt_ms15-115.nasl

Version: $Revision: 1.10 $

Type: local

Agent: windows

Published: 2015/11/10

Modified: 2017/07/24

Dependencies: 13855, 57033

Risk Information

Risk Factor: High


Base Score: 9.3

Temporal Score: 7.3

Vector: CVSS2#AV:N/AC:M/Au:N/C:C/I:C/A:C

Temporal Vector: CVSS2#E:POC/RL:OF/RC:ND

Vulnerability Information

CPE: cpe:/o:microsoft:windows

Required KB Items: SMB/MS_Bulletin_Checks/Possible

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 2015/11/10

Vulnerability Publication Date: 2015/11/10

Reference Information

CVE: CVE-2015-6100, CVE-2015-6101, CVE-2015-6102, CVE-2015-6103, CVE-2015-6104, CVE-2015-6109, CVE-2015-6113

BID: 77458, 77460, 77462, 77463, 77464, 77465, 77466

OSVDB: 130043, 130044, 130045, 130046, 130047, 130048, 130049

MSFT: MS15-115

MSKB: 3097877, 3101746, 3105211, 3105213

IAVA: 2015-A-0299